Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.im
Class QueueImEventListener

    java.lang.Object
      |
      +--com.compoze.collab.im.QueueEventListener
            |
            +--com.compoze.collab.im.QueueImEventListener

All Implemented Interfaces:
  java.util.EventListener, IImListener

Direct Known Subclasses:
  QueueYahooEventListener

public class QueueImEventListener
extends QueueEventListener
implements IImListener

An event listener that queues IM events.

Constructor Summary
`QueueImEventListener()` Constructor.

Method Summary
`void` | `friendUpdated(ImEvent ev)` Called when a friend's presence has been updated.
`void` | `messageReceived(ImEvent ev)` Called when an instant message has been received.

Methods inherited from class com.compoze.collab.im.QueueEventListener
`addEvent, getEvents, getEvents, getNextEvent, getNextEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueImEventListener

    public QueueImEventListener()

  Constructor.

Method Detail

### messageReceived

    public void messageReceived(ImEvent ev)

  Description copied from interface: `IImListener`
  Called when an instant message has been received.
  Specified by:
    `messageReceived` in interface `IImListener`
  Following copied from interface: `com.compoze.collab.im.IImListener`
  Parameters:
    `ev` - the IM event (not `null`)

### friendUpdated

    public void friendUpdated(ImEvent ev)

  Description copied from interface: `IImListener`
  Called when a friend's presence has been updated.
  Specified by:
    `friendUpdated` in interface `IImListener`
  Following copied from interface: `com.compoze.collab.im.IImListener`
  Parameters:
    `ev` - the IM event (not `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 Compoze Software, Inc. All rights reserved.